> ## Documentation Index
> Fetch the complete documentation index at: https://docs.animusai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List character assets



## OpenAPI

````yaml api-reference/openapi.json get /{character_id}/assets
openapi: 3.1.0
info:
  version: 2.0.0
  title: Animus API
  description: >-
    Animus' API provides you with a variety of AI-driven capabilities. From
    generating text with our advanced large language models to creating
    customized content schedules, our API's applications are vast and versatile.

    Whether it's facilitating seamless conversation through predictive response
    or simulating a comprehensive content calendar, our advanced functionalities
    can cater to an array of feature requirements.
servers:
  - url: https://api.animusai.co/v2
security: []
paths:
  /{character_id}/assets:
    get:
      tags:
        - Character
      summary: List character assets
      operationId: listCharacterAssets
      parameters:
        - name: character_id
          in: path
          required: true
          schema:
            type: string
        - name: asset_type
          in: query
          schema:
            type: string
          description: Optional asset type filter (face_image, body_image, etc.).
      responses:
        '200':
          description: Assets for the character.
          content:
            application/json:
              schema:
                type: object
                properties:
                  assets:
                    type: array
                    items:
                      type: object
                  total:
                    type: integer
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````